Deploy

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Deploy

chinawang
hi Yan, some questions! when I was deploy the example of the package provided and execute it, there is some error: Caused by: Java.lang.IncompatibleClassChangeError: the number of constructors during runtime and compile time for Java.lang.RuntimeException do not match. Excepted 4 but 5. what's wrong does this happen. By the way my version is 4.7.1 thank you!
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Deploy

frenchyan
Administrator
You usually get this error when you are not using the proper version of java. Make sure you use java 1.7 (you can type java -version to find out which version of java you are using)

Yan
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Deploy

chinawang
Thank you Yan!
My jdk version is 1.7 and the error was not go away!
Use the same jdk execute  the tutorial.sh there is nothing error appear.
 
I deploy the agent、console、zookeeper on different host. The error will appear but deploy on the same host there was nothing wrong!
Hope you will understand what I say!Because my English is pore!:)
Thank you for your response!
谢谢你!
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Deploy

frenchyan
Administrator
Are you 100% certain that on the hosts where you are deploying the agent and console, they also use jdk 1.7? Which components is displaying this exception?

Look at the log file for the agent under data/logs/org.linkedin.glu.agent-server.out

It shows which java it is using as well as the version

Yan
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Deploy

chinawang
Hi,Yan.
I am sure that all the host were used the same jdk1.7.
On the agent host I take agent-cli and agent-server in it, console host have console-cli and console-server.
I done this because I want mini deploy.
By the way the error some times change to "you are tries more than ten times to load the scripts."
And I don't clear that console ,agent and zookeeper the three componenta are run like a line or circulation!
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Deploy

chinawang
In reply to this post by frenchyan
Hi, Yan.
I was find out why the errors which I have before were happen .
Because I missed AGENT_NAME_FACTOR in the shell file of pre_master_conf.sh!
There is another question , I want deploy my own application  but I don't understand how should  I write a glu script, I have seen your document But I am not very clear of the strict
 of the script! I hope you can give me some advise.
Thank you very much!
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Deploy

frenchyan
Administrator
In order to write your script, you should think about what are the steps you "manually" execute to deploy your application (you download it from somewhere, you untar/unzip the package, you execute this command, etc...). Then you split those steps in "phases" (install, configure, start, etc...) and you simply write the code that reproduces what you would manually do. Same for undeploying.


Yan
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Deploy

chinawang
Thank you very much Yan!
I am very appreciate for your help!
If I have other questions I'll come back here!
Thank you again!
Loading...